Subject: Re: FVWM: minimal fvwm

From: Dan Espen <[email-masked]>
Date: Wed, 12 Jul 2000 15:04:20 -0400

Administrateur <[email-masked]> writes:
> On Wed, Jul 12, 2000 at 11:30:58AM -0400, Dan Espen wrote:
> > Administrateur <[email-masked]> writes:
> > > hello,
> > > 
> > > is it possible to have the most simple fvwm, no borders, no buttons just 
> > > a way to move a window arround ?
> > > i guess it's simple but if i remove everything then i can't move the wind
> ow !
> > 
> > Yes, I think thats possible.
> > 
> > I assume you've figured out how to remove all the window decorations.
> > (Look at HandleWidth, BorderWidth, and NoButton.)
> > 
> > How  do you want to move  the window?  If  you want to move the window
> > with Mouse button 2 and the Meta key held down, try this:
> > 
> > Mouse 2         W       M       Move
> > 
> > A root window keybinding for "Move" will also work
> 
> hi,
> i don't remove all windows decorations: i keep the title bar
> so i want to make it possible to move the window using the titlebar .
> how could i just keep the delete button ?

Please always reply to [email-masked], mention the OS you use, and the
fvwm version.

Lets say you originally had buttons 1,2,4, and 6 defined:

AddButtonStyle 1   MiniIcon -- UseTitleStyle flat
AddButtonStyle 2   Pixmap win95-close-full.xpm -- UseTitleStyle flat
AddButtonStyle 4   Pixmap win95-maximize-full.xpm -- UseTitleStyle flat
AddButtonStyle 6   Pixmap win95-minimize-full.xpm -- UseTitleStyle flat

You have any mouse button on button 2 set to run a function called "CloseIt":

Mouse 0 2 A     Function "CloseIt"

Now to remove all the buttons except 2:

Style "*" NoButton 1, NoButton 4, NoButton 6

For moving a window by the titlebar, try this:

Mouse 1 T A FuncRaiseLowerMove

DestroyFunc FuncRaiseLowerMove
AddToFunc FuncRaiseLowerMove I Raise
AddToFunc FuncRaiseLowerMove M Move

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].